Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 3792)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 3793)
@@ -71,6 +71,7 @@
 import org.txm.rcp.p2.plugins.TXMUpdateHandler;
 import org.txm.rcp.perspective.TXMPerspective;
 import org.txm.rcp.preferences.RCPPreferences;
+import org.txm.rcp.swt.dialog.ImageOKCancelDialog;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.rcp.utils.SWTEditorsUtils;
 import org.txm.utils.BundleUtils;
@@ -232,10 +233,15 @@
 						lockFile.createNewFile(); //$NON-NLS-1$
 
 						String s = getVersionLevel();
-						if ("stable".equals(RCPPreferences.getInstance().getString(RCPPreferences.UPDATE_LEVEL)) && s.length() == 0) {
+						if ("STABLE".equals(RCPPreferences.getInstance().getString(RCPPreferences.UPDATE_LEVEL)) && s.length() == 0) {
 							Log.info(TXMUIMessages.info_txmIsReady);
 						} else {
-							Log.warning("TXM is running in test mode. This mode is not intendend to be used to work.");
+							String s2 = """
+									You are using an ALPHA or BETA version of TXM to test and debug the software.
+									It is not recommended to use it for your work.
+									""";
+							Log.warning(s2);
+							
 							if (Application.isHeadLess()) {
 
 							} else if (org.eclipse.core.runtime.Platform.inDevelopmentMode()) {
@@ -250,7 +256,12 @@
 
 									@Override
 									public void run() {
-										MessageDialog.openWarning(Display.getDefault().getActiveShell(), "Test mode", "TXM is running in test mode. This mode is not intendend to be used to work.");
+										//MessageDialog dialog = new MessageDialog(, MessageDialog.WARNING, 0);
+										ImageOKCancelDialog dialog = new ImageOKCancelDialog(Display.getDefault().getActiveShell(), "Warning", IImageKeys.getImage(IImageKeys.WORKSITE), s2);
+										if (dialog.open() == ImageOKCancelDialog.CANCEL) {
+											System.exit(0);
+										}
+										//MessageDialog.openWarning(Display.getDefault().getActiveShell(), "Warning", s2);
 									}
 								});
 							}
@@ -968,11 +979,7 @@
 			public void run() {
 				try {
 					System.out.println(getTXMStartMessage());
-					if ("BETA".equals(RCPPreferences.getInstance().getString(RCPPreferences.UPDATE_LEVEL))) {
-						System.out.println("WARNING: TXM IS CURRENTLY RUNNING IN TEST MODE.");
-						System.out.println("*******  Change the update level to STABLE and remove the tested extension&updates if you need to work.");
-					}
-
+					
 					// ensure some preferences are set
 					DefaultScope.INSTANCE.getNode("org.eclipse.ui.workbench").putBoolean(IPreferenceConstants.RUN_IN_BACKGROUND, false); //$NON-NLS-1$ //$NON-NLS-2$ $NON-NLS-2$
 					DefaultScope.INSTANCE.getNode("org.eclipse.ui.workbench").flush(); //$NON-NLS-1$
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/IImageKeys.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/IImageKeys.java	(revision 3792)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/IImageKeys.java	(revision 3793)
@@ -270,6 +270,8 @@
 	public static final String FILE_DOC = "icons/objects/file_doc.png"; //$NON-NLS-1$ ;
 
 	public static final String HOME =  "icons/home.png"; //$NON-NLS-1$ ;
+
+	public static final String WORKSITE = "icons/worksite.png";
 	
 	/**
 	 * Gets the image.
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/ImageOKCancelDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/ImageOKCancelDialog.java	(revision 0)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/ImageOKCancelDialog.java	(revision 3793)
@@ -0,0 +1,68 @@
+package org.txm.rcp.swt.dialog;
+
+import org.eclipse.jface.dialogs.Dialog;
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.graphics.Image;
+import org.eclipse.swt.layout.GridData;
+import org.eclipse.swt.layout.GridLayout;
+import org.eclipse.swt.widgets.Composite;
+import org.eclipse.swt.widgets.Control;
+import org.eclipse.swt.widgets.Label;
+import org.eclipse.swt.widgets.Shell;
+import org.eclipse.swt.widgets.Text;
+
+public class ImageOKCancelDialog extends Dialog {
+	
+	String title;
+	Image image;
+	String message;
+
+	public ImageOKCancelDialog(Shell parent, String title, Image image, String message) {
+		
+		super(parent);
+		
+		this.setShellStyle(SWT.CLOSE | SWT.RESIZE | SWT.APPLICATION_MODAL);
+		
+		this.title = title;
+		this.image = image;
+		this.message = message;
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.jface.window.Window#configureShell(org.eclipse.swt.widgets.Shell)
+	 */
+	@Override
+	protected void configureShell(Shell newShell) {
+		
+		super.configureShell(newShell);
+		
+		newShell.setText(title);
+		
+		
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.jface.dialogs.Dialog#createDialogArea(org.eclipse.swt.widgets.Composite)
+	 */
+	@Override
+	protected Control createDialogArea(Composite p) {
+		
+		Object layout = p.getLayout();
+		if (layout instanceof GridLayout) {
+			GridLayout glayout = (GridLayout)layout;
+			glayout.marginWidth = 5;
+			glayout.marginTop = 5;
+			glayout.verticalSpacing = 5;
+		}
+		
+		Label imageLabel = new Label(p, SWT.NONE);
+		imageLabel.setLayoutData(new GridData(GridData.CENTER, GridData.CENTER, true, true));
+		imageLabel.setImage(image);
+		
+		Label messageLabel = new Label(p, SWT.NONE);
+		imageLabel.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, true));
+		messageLabel.setText(message);
+		
+		return p;
+	}
+}

Property changes on: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/ImageOKCancelDialog.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/bundles/org.txm.rcp/icons/worksite.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/bundles/org.txm.rcp/icons/worksite.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

